// DO NOT EDIT!  Generated automatically by subst-config-vals.

////////////////////////////////////////////////////////////////////////
//
// Copyright (C) 1996-2025 The Octave Project Developers
//
// See the file COPYRIGHT.md in the top-level directory of this
// distribution or <https://octave.org/copyright/>.
//
// This file is part of Octave.
//
// Octave is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Octave is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Octave; see the file COPYING.  If not, see
// <https://www.gnu.org/licenses/>.
//
////////////////////////////////////////////////////////////////////////

#if defined (HAVE_CONFIG_H)
#  include "config.h"
#endif

#include "build-env.h"

OCTAVE_BEGIN_NAMESPACE(octave)

OCTAVE_BEGIN_NAMESPACE(build_env)

const char *AMD_CPPFLAGS = "-I/usr/include/suitesparse";

const char *AMD_LDFLAGS = "";

const char *AMD_LIBS = "-lamd";

const char *ARFLAGS = "cr";

const char *AR = "ar";

const char *ARPACK_CPPFLAGS = "-I/usr/include/arpack";

const char *ARPACK_LDFLAGS = "";

const char *ARPACK_LIBS = "-larpack";

const char *BLAS_LIBS = "-lblas";

const char *CAMD_CPPFLAGS = "-I/usr/include/suitesparse";

const char *CAMD_LDFLAGS = "";

const char *CAMD_LIBS = "-lcamd";

const char *CARBON_LIBS = "";

const char *CC = "gcc";

const char *CCOLAMD_CPPFLAGS = "-I/usr/include/suitesparse";

const char *CCOLAMD_LDFLAGS = "";

const char *CCOLAMD_LIBS = "-lccolamd";

const char *CFLAGS = "-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -g -ffile-prefix-map=/build/octave/src=/usr/src/debug/octave -flto=auto";

const char *CHOLMOD_CPPFLAGS = "-I/usr/include/suitesparse";

const char *CHOLMOD_LDFLAGS = "";

const char *CHOLMOD_LIBS = "-lcholmod";

const char *COLAMD_CPPFLAGS = "-I/usr/include/suitesparse";

const char *COLAMD_LDFLAGS = "";

const char *COLAMD_LIBS = "-lcolamd";

const char *CPICFLAG = "-fPIC";

const char *CPPFLAGS = "";

const char *CURL_CPPFLAGS = "";

const char *CURL_LDFLAGS = "";

const char *CURL_LIBS = "-lcurl";

const char *CXSPARSE_CPPFLAGS = "-I/usr/include/suitesparse";

const char *CXSPARSE_LDFLAGS = "";

const char *CXSPARSE_LIBS = "-lcxsparse";

const char *CXXCPP = "g++ -E";

const char *CXXFLAGS = "-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -Wp,-D_GLIBCXX_ASSERTIONS -g -ffile-prefix-map=/build/octave/src=/usr/src/debug/octave -flto=auto";

const char *CXXPICFLAG = "-fPIC";

const char *CXX = "g++";

const char *DEFAULT_PAGER = "more";

const char *DEFS = "-DHAVE_CONFIG_H";

const char *DL_LDFLAGS = "-shared";

const char *EXEEXT = "";

const char *GCC_VERSION = "15.1.1";

const char *GXX_VERSION = "15.1.1";

const char *F77 = "gfortran";

const char *F77_FLOAT_STORE_FLAG = "-ffloat-store";

const char *F77_INTEGER_8_FLAG = "";

const char *FFLAGS = "  -ffile-prefix-map=/build/octave/src=/usr/src/debug/octave -std=legacy -fexceptions";

const char *FFTW3_CPPFLAGS = "";

const char *FFTW3_LDFLAGS = "";

const char *FFTW3_LIBS = "-lfftw3_threads -lfftw3";

const char *FFTW3F_CPPFLAGS = "";

const char *FFTW3F_LDFLAGS = "";

const char *FFTW3F_LIBS = "-lfftw3f_threads -lfftw3f";

const char *FLIBS = " -L/usr/lib/gcc/x86_64-pc-linux-gnu/15.1.1 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15.1.1/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/15.1.1/../../.. -L/lib -L/usr/lib -lsundials_core -lgfortran -lm -lquadmath";

const char *FLTK_CPPFLAGS = "";

const char *FLTK_LDFLAGS = "";

const char *FLTK_LIBS = "-lfltk_gl -lGLU -lGL -lfltk -lm -lX11 -lXext -lpthread -lXinerama -lXfixes -lXcursor -lXft -lXrender -lm -lfontconfig -ldl";

const char *FONTCONFIG_CPPFLAGS = "-I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-6";

const char *FONTCONFIG_LIBS = "-lfontconfig";

const char *FPICFLAG = "-fPIC";

const char *FT2_CPPFLAGS = "-I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-6 -pthread";

const char *FT2_LIBS = "-lfreetype";

const char *GLPK_CPPFLAGS = "";

const char *GLPK_LDFLAGS = "";

const char *GLPK_LIBS = "-lglpk";

const char *GNUPLOT = "gnuplot";

const char *HDF5_CPPFLAGS = "";

const char *HDF5_LDFLAGS = "";

const char *HDF5_LIBS = "-lhdf5";

const char *INCLUDEDIR = "include";

const char *KLU_CPPFLAGS = "-I/usr/include/suitesparse";

const char *KLU_LDFLAGS = "";

const char *KLU_LIBS = "-lklu";

const char *LAPACK_LIBS = "-llapack";

const char *LDFLAGS = "-Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z,relro -Wl,-z,now          -Wl,-z,pack-relative-relocs -flto=auto -lsundials_core";

const char *LD_STATIC_FLAG = "";

const char *LEXLIB = "";

const char *LEX = "flex";

const char *LFLAGS = "-I";

const char *LIBOCTAVE = "-loctave";

const char *LIBOCTINTERP = "-loctinterp";

const char *LIBS = "-lpthread -lm ";

const char *LN_S = "ln -s";

const char *MAGICK_CPPFLAGS = "-I/usr/include/GraphicsMagick";

const char *MAGICK_LDFLAGS = "";

const char *MAGICK_LIBS = "-lGraphicsMagick++ -lGraphicsMagick";

const char *MKOCTFILE_DL_LDFLAGS = "-shared -Wl,-Bsymbolic";

const char *OCTAVE_LINK_DEPS = "";

const char *OCTAVE_LINK_OPTS = "";

const char *OCTINCLUDEDIR = "include/octave-10.2.0/octave";

const char *OCTLIBDIR = "lib/octave/10.2.0";

const char *OCT_LINK_DEPS = "";

const char *OCT_LINK_OPTS = "-Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z,relro -Wl,-z,now          -Wl,-z,pack-relative-relocs -flto=auto -lsundials_core";

const char *OPENGL_LIBS = "-lGL -lGLU";

const char *PCRE_CPPFLAGS = "";

const char *PCRE_LDFLAGS = "";

const char *PCRE_LIBS = "-lpcre2-8";

const char *PREFIX = "/usr";

const char *PTHREAD_CFLAGS = "-pthread";

const char *PTHREAD_LIBS = "-lpthread";

const char *QHULL_CPPFLAGS = "";

const char *QHULL_LDFLAGS = "";

const char *QHULL_LIBS = "-lqhull_r";

const char *QRUPDATE_CPPFLAGS = "";

const char *QRUPDATE_LDFLAGS = "";

const char *QRUPDATE_LIBS = "-lqrupdate -llapack -lblas";

const char *QT_CPPFLAGS = "-I/usr/include/qt6/QtHelp -I/usr/include/qt6 -I/usr/include/qt6/QtSql -I/usr/include/qt6/QtNetwork -I/usr/include/qt6/QtOpenGLWidgets -I/usr/include/qt6/QtOpenGL -I/usr/include/qt6/QtPrintSupport -I/usr/include/qt6/QtWidgets -I/usr/include/qt6/QtGui -I/usr/include/qt6/QtXml -I/usr/include/qt6/QtCore5Compat -I/usr/include/qt6/QtCore -I/usr/lib/qt6/mkspecs/linux-g++";

const char *QT_LDFLAGS = "";

const char *QT_LIBS = "-lQt6Help -lQt6Sql -lQt6Network -lQt6OpenGLWidgets -lQt6OpenGL -lQt6PrintSupport -lQt6Widgets -lQt6Gui -lQt6Xml -lQt6Core5Compat -lQt6Core -lqscintilla2_qt6";

const char *RANLIB = "ranlib";

const char *RDYNAMIC_FLAG = "-rdynamic";

const char *READLINE_LIBS = "/usr/lib/libreadline.so";

const char *SHARED_LIBS = "yes";

const char *SH_LDFLAGS = "-shared";

const char *STATIC_LIBS = "no";

const char *SUITESPARSECONFIG_LIBS = "-lsuitesparseconfig";

const char *SUNDIALS_IDA_CPPFLAGS = "";

const char *SUNDIALS_IDA_LDFLAGS = "";

const char *SUNDIALS_IDA_LIBS = "-lsundials_ida";

const char *SUNDIALS_NVECSERIAL_CPPFLAGS = "";

const char *SUNDIALS_NVECSERIAL_LDFLAGS = "";

const char *SUNDIALS_NVECSERIAL_LIBS = "-lsundials_nvecserial";

const char *SUNDIALS_SUNLINSOLKLU_CPPFLAGS = "";

const char *SUNDIALS_SUNLINSOLKLU_LDFLAGS = "";

const char *SUNDIALS_SUNLINSOLKLU_LIBS = "-lsundials_sunlinsolklu";

const char *UMFPACK_CPPFLAGS = "-I/usr/include/suitesparse";

const char *UMFPACK_LDFLAGS = "";

const char *UMFPACK_LIBS = "-lumfpack";

const char *WARN_CFLAGS = " -Wall -W -Wshadow -Wformat -Wpointer-arith -Wmissing-prototypes -Wstrict-prototypes -Wwrite-strings -Wcast-align -Wcast-qual";

const char *WARN_CXXFLAGS = " -Wall -W -Wshadow -Woverloaded-virtual -Wold-style-cast -Wformat -Wpointer-arith -Wwrite-strings -Wcast-align -Wcast-qual";

const char *X11_INCFLAGS = "";

const char *X11_LIBS = "-lX11";

const char *XTRA_CFLAGS = " -pthread -fopenmp -fexceptions";

const char *XTRA_CXXFLAGS = " -pthread -fopenmp";

const char *YACC = "@YACC@";

const char *YFLAGS = "@YFLAGS@";

const char *Z_CPPFLAGS = "";

const char *Z_LDFLAGS = "";

const char *Z_LIBS = "-lz";

const char *config_opts = " '--prefix=/usr' '--libexecdir=/usr/lib' '--enable-shared' '--disable-static' '--with-quantum-depth=16' 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -g -ffile-prefix-map=/build/octave/src=/usr/src/debug/octave -flto=auto' 'LDFLAGS=-Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z,relro -Wl,-z,now          -Wl,-z,pack-relative-relocs -flto=auto -lsundials_core' 'CXXFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -Wp,-D_GLIBCXX_ASSERTIONS -g -ffile-prefix-map=/build/octave/src=/usr/src/debug/octave -flto=auto' 'FFLAGS=  -ffile-prefix-map=/build/octave/src=/usr/src/debug/octave'";

OCTAVE_END_NAMESPACE(build_env)
OCTAVE_END_NAMESPACE(octave)
